All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class FontComponent

    com.sas.awt.FontComponent

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, com.sas.ViewInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener

Direct Known Subclasses:
  Font

    public abstract class FontComponent

implements com.sas.ComponentInterface

A SASFontComponent class.

See Also:
  Serialized Form

Constructor Summary
`FontComponent()`

Method Summary
`void` | `addLink(java.lang.String property, com.sas.ComponentInterface linked_component, java.lang.String linked_property)` addLink() adds a link between property on this component and source_property on source_component.
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Adds a PropertyChangeListener to the component.
`void` | `addVetoableChangeListener(java.beans.VetoableChangeListener listener)` Adds a VetoableChangeListener to the component.
`boolean` | `anyPropertyChangeListeners()` Return true if there are any PropertyChangeEvent listeners.
`void` | `attachModel(com.sas.ModelInterface model)` Attaches the specified model to this view.
`boolean` | `attachView()` attachView is called on the model during an attachModel call on the view.
`java.lang.Object` | `clone()` Return a clone of the object.
`void` | `detachModel(com.sas.ModelInterface model)` Detaches the specified model from this view.
`void` | `detachView()` detachView is called on the model during an detachModel call on the view.
`void` | `dumpComponent()` This method prints debugging information about the component.
`void` | `firePropertyChange(java.beans.PropertyChangeEvent propertyChangeEvent)` Report a bound property update to any registered listeners.
`void` | `firePropertyChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)` Report a bound property update to any registered listeners.
`void` | `fireVetoableChange(java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue)` Report a constrained property update to any registered listeners.
`java.lang.String` | `getComponentDescription()` This method returns the description of the component.
`com.sas.ComponentInterfaceSupportInfo` | `getComponentSupportInfo(boolean createIfNecessary)` Internal framework method.
`java.lang.reflect.Method` | `getEventMethod(java.lang.reflect.Method listenerMethod)`
`java.lang.String[]` | `getEventValues(java.lang.reflect.Method listenerMethod)`
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns information used by the com.sas.beans.Introspector to augment the automatically introspected information about the component.
`com.sas.LinkPropertiesInfo` | `getLinkInfo()` Internal framework method.
`com.sas.ModelInterface` | `getModelInterface()`
`java.util.Vector` | `getRequiredInterfaces()` The get method for the requiredInterfaces attribute.
`com.sas.ViewInterfaceSupportInfo` | `getViewInterfaceSupportInfo()` Internal framework method.
`void` | `initialize()` The initialize() method was designed to be a synchronization point after the constructor for the object has completed and a number of methods have been called on the component.
`void` | `initializeComponent()` Called by the default constructor.
`boolean` | `isDesignTime()` This method returns whether the component is in design mode or in run mode.
`boolean` | `isLinked(java.lang.String property, com.sas.ComponentInterface linked_component, java.lang.String linked_property)` isLinked() determines if property on this component is linked to source_property on source_component.
`void` | `propertyChange(java.beans.PropertyChangeEvent e)` Handles any property links on this component from the source component.
`com.sas.PropertyLinkInfo[]` | `queryLinks()` queryLinks() returns an array of PropertyLinkInfo objects containing information about properties on this component which are linked to properties on this or other components.
`com.sas.PropertyLinkInfo[]` | `queryLinks(java.lang.String property)` queryLinks() returns an array of PropertyLinkInfo objects containing information about the links to the specified property.
`void` | `refresh(com.sas.ModelInterface model)` Updates the view based on updates in the model.
`void` | `removeAllLinks()` removeAllLinks() removes all the links on this component.
`void` | `removeInterfaceTraps(com.sas.ModelInterface model)`
`void` | `removeLink(java.lang.String property, com.sas.ComponentInterface linked_component, java.lang.String linked_property)` removeLink() removes a link between property on this component and source_property on source_component.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Removes a PropertyChangeListener from the component.
`void` | `removeVetoableChangeListener(java.beans.VetoableChangeListener listener)` Removes a VetoableChangeListener from the component.
`void` | `setComponentDescription(java.lang.String description)` This method sets the description of the component.
`void` | `setComponentSupportInfo(com.sas.ComponentInterfaceSupportInfo info)` Internal framework method.
`void` | `setDefaultValues()` This method sets the initial property values to their default values.
`void` | `setLinkInfo(com.sas.LinkPropertiesInfo info)` Internal framework method.
`void` | `setModelInterface(com.sas.ModelInterface model)` Calling setModelInterface will detach the previous model (if any) and will call attachModel to attach the model to this view.
`void` | `setRequiredInterfaces(java.util.Vector interfaces)` The set method for the requiredInterfaces attribute.
`void` | `setViewInterfaceSupportInfo(com.sas.ViewInterfaceSupportInfo info)` Internal framework method.
`boolean` | `supportsListenerInterface(java.lang.Class listenerInterface)`
`boolean` | `supportsRequiredInterfaces(com.sas.ModelInterface model)` Checks a potential model to this view to see if it supports the required interfaces of this view.
`void` | `trapInterfaceEvents(com.sas.ModelInterface model)`
`void` | `validateObject()`

Constructor Detail

### FontComponent

    public FontComponent()

Method Detail

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns information used by the com.sas.beans.Introspector to augment the automatically introspected information about the component.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Return a clone of the object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    a clone of the object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the model attached to the component being cloned will not allow the clone to attach.

### trapInterfaceEvents

    public void trapInterfaceEvents(com.sas.ModelInterface model)

  Specified by:
    `trapInterfaceEvents` in interface `com.sas.ViewInterface`
  See Also:
    `ViewInterface.trapInterfaceEvents(com.sas.ModelInterface)`

### removeInterfaceTraps

    public void removeInterfaceTraps(com.sas.ModelInterface model)

  Specified by:
    `removeInterfaceTraps` in interface `com.sas.ViewInterface`
  See Also:
    `ViewInterface.removeInterfaceTraps(com.sas.ModelInterface)`

### getRequiredInterfaces

    public java.util.Vector getRequiredInterfaces()

  Description copied from interface: `ViewInterface`
  The get method for the requiredInterfaces attribute. Retrieves the current value of the RequiredInterfaces atttribute. This information contains an array for each required interface.

  Specified by:
    `getRequiredInterfaces` in interface `com.sas.ViewInterface`
  Returns:
    interfaces - Array of interface information for each required interface
  See Also:
    `ViewInterface.getRequiredInterfaces()`

### setRequiredInterfaces

    public void setRequiredInterfaces(java.util.Vector interfaces)

  Description copied from interface: `ViewInterface`
  The set method for the requiredInterfaces attribute. Sets the current value of the RequiredInterfaces attribute.

  Specified by:
    `setRequiredInterfaces` in interface `com.sas.ViewInterface`
  Parameters:
    `interfaces` - Vector of interface information for each required interface Each element in the vector contains the required interface name followed by attribute name to method pairings for each attribute in the model which the view will set up event handlers for. For example, this view requires the StringListInterface and handles two attribute changed event notifications from the model.

                Vector requiredInterfaces =     new Vector();
                String[] requiredInterfacesString = { "com.sas.util.StaticStringListInterface", "items", "refresh", "listName", "setTitle" };
                requiredInterfaces.addElement(requiredInterfacesString);

                this.setRequiredInterfaces( requiredInterfaces );

  See Also:
    `ViewInterface.setRequiredInterfaces(java.util.Vector)`

### attachModel

    public void attachModel(com.sas.ModelInterface model)

  Description copied from interface: `ViewInterface`
  Attaches the specified model to this view. Calls attachView on the model to notify it of the attach request. Throws a run time ComponentException if the model denies the attach request. Calls trapInterfaceEvents on the view to set up the appropriate event handlers in the view for attribute changed events from the model. attachModel will be called once for the model specified in the setModel method. It is the responsibility of the views to maintain interface handles to multiple models; one interface handle will be set in the attachModel call and cleared in detachModel. Therefore, the interface handle will always point to the last model attached to. Throws a run time ComponentException if the specified model does not support the required interface on the view. Calls refresh, passing the model interface, on the view after successful completion to allow the view to update itself.

  Specified by:
    `attachModel` in interface `com.sas.ViewInterface`
  Parameters:
    `model` - Model to attach to
  See Also:
    `ViewInterface.attachModel(com.sas.ModelInterface)`

### detachModel

    public void detachModel(com.sas.ModelInterface model)

  Description copied from interface: `ViewInterface`
  Detaches the specified model from this view. Calls detachView on the model to notify it of the attach request. Calls removeInterfaceTraps on the view to remove the appropriate event handlers in the view for attribute changed events from the model. Calls refresh, passing null for the model interface, on the view after successful completion to allow the view to clear itself.

  Specified by:
    `detachModel` in interface `com.sas.ViewInterface`
  Parameters:
    `model` - Model to detach
  See Also:
    `ViewInterface.detachModel(com.sas.ModelInterface)`

### refresh

    public void refresh(com.sas.ModelInterface model)

  Description copied from interface: `ViewInterface`
  Updates the view based on updates in the model. Called by attachModel upon a successful attach to give the view a chance to update itself. Views should override this method to perform whatever updates are necessary after a model update.

  Specified by:
    `refresh` in interface `com.sas.ViewInterface`
  Parameters:
    `model` - Model that has just been updated
  See Also:
    `ViewInterface.refresh(com.sas.ModelInterface)`

### supportsRequiredInterfaces

    public boolean supportsRequiredInterfaces(com.sas.ModelInterface model)

  Description copied from interface: `ViewInterface`
  Checks a potential model to this view to see if it supports the required interfaces of this view.

  Specified by:
    `supportsRequiredInterfaces` in interface `com.sas.ViewInterface`
  Parameters:
    `model` - Model to check for the required interfaces
  Returns:
    true for this model supports the required interfaces of the view; false for the model does not support the required interfaces of the view
  See Also:
    `ViewInterface.supportsRequiredInterfaces(com.sas.ModelInterface)`

### getModelInterface

    public com.sas.ModelInterface getModelInterface()

  Specified by:
    `getModelInterface` in interface `com.sas.ViewInterface`
  Returns:
    A reference to the connected model. If no model is connected, null is returned.
  See Also:
    `ViewInterface.getModelInterface()`

### setModelInterface

    public void setModelInterface(com.sas.ModelInterface model)

  Description copied from interface: `ViewInterface`
  Calling setModelInterface will detach the previous model (if any) and will call attachModel to attach the model to this view. Sends a propertyChange event for the model property

  Specified by:
    `setModelInterface` in interface `com.sas.ViewInterface`
  Parameters:
    `model` - The new model for this view
  See Also:
    `ViewInterface.setModelInterface(com.sas.ModelInterface)`

### getViewInterfaceSupportInfo

    public com.sas.ViewInterfaceSupportInfo getViewInterfaceSupportInfo()

  Internal framework method. Not intended to be called by component users.

  Specified by:
    `getViewInterfaceSupportInfo` in interface `com.sas.ViewInterface`
  Returns:
    A reference to an instance of ViewInterfaceSupportInfo which holds information needed by ViewInterfaceSupport to implement the ViewInterface.
  See Also:
    `ViewInterface.getViewInterfaceSupportInfo()`

### setViewInterfaceSupportInfo

    public void setViewInterfaceSupportInfo(com.sas.ViewInterfaceSupportInfo info)

  Internal framework method. Not intended to be called by component users.

  Specified by:
    `setViewInterfaceSupportInfo` in interface `com.sas.ViewInterface`
  Parameters:
    `info` - A reference to an instance of ViewInterfaceSupportInfo which holds information needed by ViewInterfaceSupport to implement the ViewInterface.
  See Also:
    `ViewInterface.setViewInterfaceSupportInfo(com.sas.ViewInterfaceSupportInfo)`

### attachView

    public boolean attachView()

  Description copied from interface: `ModelInterface`
  attachView is called on the model during an attachModel call on the view. The attachView method serves as a hook for the model to receive notification that a view is attaching to it. The model can deny the attach request by returning false, in which case the attachModel request on the view will fail.

  Specified by:
    `attachView` in interface `com.sas.ModelInterface`
  Returns:
    boolean whether the model will allow the attach
  See Also:
    `ModelInterface.attachView()`

### detachView

    public void detachView()

  Description copied from interface: `ModelInterface`
  detachView is called on the model during an detachModel call on the view. The detachView method serves as a hook for the model to receive notification that a view is detaching from it.

  Specified by:
    `detachView` in interface `com.sas.ModelInterface`
  See Also:
    `ModelInterface.detachView()`

### addLink

    public void addLink(java.lang.String property,
                        com.sas.ComponentInterface linked_component,
                        java.lang.String linked_property)

  Description copied from interface: `LinkPropertiesInterface`
  addLink() adds a link between property on this component and source_property on source_component. The value of source_component.source_property will be read and set on property when addLink() is called. Whenever the value of source_component.source_property changes in the future, the value of this.property will be updated.

  Adding a link that already exists does nothing.

  Specified by:
    `addLink` in interface `com.sas.LinkPropertiesInterface`
  Parameters:
    `property` - The property to be linked to source_property on source_component.
    `linked_component` - The component with source_property.
    `linked_property` - The property on source_component.
  See Also:
    `LinkPropertiesInterface.addLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`

### removeLink

    public void removeLink(java.lang.String property,
                           com.sas.ComponentInterface linked_component,
                           java.lang.String linked_property)

  Description copied from interface: `LinkPropertiesInterface`
  removeLink() removes a link between property on this component and source_property on source_component.

  Specified by:
    `removeLink` in interface `com.sas.LinkPropertiesInterface`
  Parameters:
    `property` - The property currently linked to source_property on source_component.
    `linked_component` - The component with source_property.
    `linked_property` - The property on source_component.
  See Also:
    `LinkPropertiesInterface.removeLink(java.lang.String, com.sas.ComponentInterface, java.lang.String)`

### removeAllLinks

    public void removeAllLinks()

  Description copied from interface: `LinkPropertiesInterface`
  removeAllLinks() removes all the links on this component.

  Specified by:
    `removeAllLinks` in interface `com.sas.LinkPropertiesInterface`
  See Also:
    `LinkPropertiesInterface.removeAllLinks()`

### queryLinks

    public com.sas.PropertyLinkInfo[] queryLinks(java.lang.String property)

  Description copied from interface: `LinkPropertiesInterface`
  queryLinks() returns an array of PropertyLinkInfo objects containing information about the links to the specified property.

  Specified by:
    `queryLinks` in interface `com.sas.LinkPropertiesInterface`
  Parameters:
    `property` - The property to return the list of links for.
  Returns:
    An array of PropertyLinkInfo objects.
  See Also:
    `LinkPropertiesInterface.queryLinks(java.lang.String)`

### queryLinks

    public com.sas.PropertyLinkInfo[] queryLinks()

  Description copied from interface: `LinkPropertiesInterface`
  queryLinks() returns an array of PropertyLinkInfo objects containing information about properties on this component which are linked to properties on this or other components.

  Specified by:
    `queryLinks` in interface `com.sas.LinkPropertiesInterface`
  Returns:
    A list of linked property names.
  See Also:
    `LinkPropertiesInterface.queryLinks(java.lang.String)`

### isLinked

    public boolean isLinked(java.lang.String property,
                            com.sas.ComponentInterface linked_component,
                            java.lang.String linked_property)

  Description copied from interface: `LinkPropertiesInterface`
  isLinked() determines if property on this component is linked to source_property on source_component.

  Specified by:
    `isLinked` in interface `com.sas.LinkPropertiesInterface`
  Parameters:
    `property` - The property potentially linked to source_property on source_component.
    `linked_component` - The component with source_property.
    `linked_property` - The property on source_component.
  Returns:
    true if the properties are linked, false if not.
  See Also:
    `LinkPropertiesInterface.queryLinks(java.lang.String)`

### getLinkInfo

    public com.sas.LinkPropertiesInfo getLinkInfo()

  Internal framework method. Not intended to be called by component users.

  Specified by:
    `getLinkInfo` in interface `com.sas.LinkPropertiesInterface`
  See Also:
    `LinkPropertiesInterfaceSupport`

### setLinkInfo

    public void setLinkInfo(com.sas.LinkPropertiesInfo info)

  Internal framework method. Not intended to be called by component users.

  Specified by:
    `setLinkInfo` in interface `com.sas.LinkPropertiesInterface`
  See Also:
    `LinkPropertiesInterfaceSupport`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Description copied from interface: `ComponentInterface`
  Adds a PropertyChangeListener to the component.

  Specified by:
    `addPropertyChangeListener` in interface `com.sas.beans.PropertyChangeSource`
  Specified by:
    `addPropertyChangeListener` in interface `com.sas.ComponentInterface`
  Parameters:
    `listener` - The PropertyChangeListener to receive PropertyChangeEvents.
  See Also:
    `ComponentInterface.addPropertyChangeListener(java.beans.PropertyChangeListener)`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Description copied from interface: `ComponentInterface`
  Removes a PropertyChangeListener from the component.

  Specified by:
    `removePropertyChangeListener` in interface `com.sas.beans.PropertyChangeSource`
  Specified by:
    `removePropertyChangeListener` in interface `com.sas.ComponentInterface`
  Parameters:
    `listener` - The PropertyChangeListener to stop receiving PropertyChangeEvents.
  See Also:
    `ComponentInterface.removePropertyChangeListener(java.beans.PropertyChangeListener)`

### firePropertyChange

    public void firePropertyChange(java.lang.String propertyName,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue)

  Description copied from interface: `ComponentInterface`
  Report a bound property update to any registered listeners. This method returns immediately without any action if there are no registered PropertyChangeEvent listeners. No event is fired if old and new are equal and non-null. This method corresponds to the java.beans.PropertyChangeSupport firePropertyChange method, which we cannot call directly since we have our own com.sas.beans.PropertyChangeEvent.

  Specified by:
    `firePropertyChange` in interface `com.sas.ComponentInterface`
  Parameters:
    `propertyName` - The name of the property that was changed. null may be passed in to indicate that a generic change to the component (and not a specific property) was made.
    `oldValue` - The old value of the property. null may be passed in to indicate that the old value is unknown.
    `newValue` - The new value of the property. null may be passed in to indicate that the new value is unknown.
  See Also:
    `ComponentInterface.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)`

### firePropertyChange

    public void firePropertyChange(java.beans.PropertyChangeEvent propertyChangeEvent)

  Description copied from interface: `ComponentInterface`
  Report a bound property update to any registered listeners. This method is provided to allow the user to pass in their existing property change event; usually the other firePropertyChange method will be used which constructs a property change event. Before constructing a PropertyChangeEvent, you should test if there are any PropertyChangeEvent listeners and skip allocating and firing the event if there are no listeners.

  Specified by:
    `firePropertyChange` in interface `com.sas.ComponentInterface`
  Parameters:
    `propertyChangeEvent` - A previously constructed property change event
  See Also:
    `ComponentInterface.firePropertyChange(java.lang.String, java.lang.Object, java.lang.Object)`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent e)

  Handles any property links on this component from the source component.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### getComponentDescription

    public java.lang.String getComponentDescription()

  Description copied from interface: `ComponentInterface`
  This method returns the description of the component.

  Specified by:
    `getComponentDescription` in interface `com.sas.ComponentInterface`
  Returns:
    The description of the component.
  See Also:
    `ComponentInterface.getComponentDescription()`

### setComponentDescription

    public void setComponentDescription(java.lang.String description)

  Description copied from interface: `ComponentInterface`
  This method sets the description of the component.

  Application writers may want to set unique componentDescriptions on components so that they can be distinquished properly in a testing environment.

  Specified by:
    `setComponentDescription` in interface `com.sas.ComponentInterface`
  Parameters:
    `description` - The new description for the component.
  See Also:
    `ComponentInterface.setComponentDescription(java.lang.String)`

### isDesignTime

    public boolean isDesignTime()

  Description copied from interface: `ComponentInterface`
  This method returns whether the component is in design mode or in run mode. Typically, a development environment for JavaBeans will set the designTime property to true while the component is being manipulated inside the development environment.

  ComponentInterface.isDesignTime should be used instead of java.beans.Beans.isDesignTime since java.beans.Beans.isDesignTime is not thread safe and changes the status of all JavaBeans at the same time.

  Specified by:
    `isDesignTime` in interface `com.sas.ComponentInterface`
  Returns:
    true for the component is in design mode, false for the component is in run mode.
  See Also:
    `ComponentInterface.isDesignTime()`

### dumpComponent

    public void dumpComponent()

  Description copied from interface: `ComponentInterface`
  This method prints debugging information about the component. The value of all of the component's properties is printed. dumpComponent may be overridden by subclasses to provide additional information about component.

  Specified by:
    `dumpComponent` in interface `com.sas.ComponentInterface`
  See Also:
    `ComponentInterface.dumpComponent()`

### addVetoableChangeListener

    public void addVetoableChangeListener(java.beans.VetoableChangeListener listener)

  Description copied from interface: `ComponentInterface`
  Adds a VetoableChangeListener to the component.

  Specified by:
    `addVetoableChangeListener` in interface `com.sas.beans.VetoableChangeSource`
  Specified by:
    `addVetoableChangeListener` in interface `com.sas.ComponentInterface`
  Parameters:
    `listener` - The VetoableChangeListener to receive PropertyChangeEvents.
  See Also:
    `ComponentInterface.addVetoableChangeListener(java.beans.VetoableChangeListener)`

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.beans.VetoableChangeListener listener)

  Description copied from interface: `ComponentInterface`
  Removes a VetoableChangeListener from the component.

  Specified by:
    `removeVetoableChangeListener` in interface `com.sas.beans.VetoableChangeSource`
  Specified by:
    `removeVetoableChangeListener` in interface `com.sas.ComponentInterface`
  Parameters:
    `listener` - The VetoableChangeListener to stop receiving PropertyChangeEvents.
  See Also:
    `ComponentInterface.removeVetoableChangeListener(java.beans.VetoableChangeListener)`

### fireVetoableChange

    public void fireVetoableChange(java.lang.String propertyName,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue)
                            throws java.beans.PropertyVetoException

  Description copied from interface: `ComponentInterface`
  Report a constrained property update to any registered listeners. No event is fired if old and new are equal and non-null. This method calls the java.beans.VetoableChangeSupport fireVetoableChange method. Throws a java.beans.PropertyVetoException.

  Specified by:
    `fireVetoableChange` in interface `com.sas.ComponentInterface`
  Parameters:
    `propertyName` - The name of the property that was changed.
    `oldValue` - The old value of the property. null may be passed in to indicate that the new value is unknown.
    `newValue` - The new value of the property. null may be passed in to indicate that the new value is unknown.
  Throws:
    `java.beans.PropertyVetoException` - The listener vetoed the set of this constrained property
  See Also:
    `ComponentInterface.fireVetoableChange(java.lang.String, java.lang.Object, java.lang.Object)`

### anyPropertyChangeListeners

    public boolean anyPropertyChangeListeners()

  Return true if there are any PropertyChangeEvent listeners. If false, you property set methods can skip any additional logic for sending PropertyChangeEvents. Note, there is no equivalent test for vetoable PropertyChangeListeners.

  Specified by:
    `anyPropertyChangeListeners` in interface `com.sas.ComponentInterface`
  Returns:
    true if there are any property change listeners.

### initialize

    public void initialize()

  Description copied from interface: `ComponentInterface`
  The initialize() method was designed to be a synchronization point after the constructor for the object has completed and a number of methods have been called on the component. This allows components with "expensive" set method calls to delay processing until all the sets have occurred.

  initialize() should be called on a component after is it constructed :

           ListBox listBox = new ListBox();
           listBox.initialize();
           container.add( listBox );

  Overriding initialize is now discouraged since it is generally better to override setDefaultValues and readObject to perform initialization.

  By default (in the ComponentInterface implementation), initialize() does nothing. However, various components override initialize() to perform operations, and it should be called.

  Although use of initialize() is now discouraged, initialize() is also called by the validateObject method after a component is deserialized. This allows components which need processing during creation and deserialization to have a common place to perform operations. Adding event handlers to subcomponents is a typical use of the initialize method.

  Specified by:
    `initialize` in interface `com.sas.ComponentInterface`
  See Also:
    `ComponentInterface.initialize()`

### initializeComponent

    public void initializeComponent()

  Description copied from interface: `ComponentInterface`
  Called by the default constructor. initializeComponent calls setDefaultValues and then sets the designTime property on the component based on com.sas.Component.beansIsDesignTime().

  Specified by:
    `initializeComponent` in interface `com.sas.ComponentInterface`
  See Also:
    `ComponentInterface.initializeComponent()`

### setDefaultValues

    public void setDefaultValues()

  Description copied from interface: `ComponentInterface`
  This method sets the initial property values to their default values. It is called by initializeComponent. Subclasses of the Component class or classes that implement the ComponentInterface should override setDefaultValues to perform their initialization.

  Note that the designTime property is not initialized when setDefaultValues is called, so initialization which depends on the value of designTime should take place in initializeComponent.

  Specified by:
    `setDefaultValues` in interface `com.sas.ComponentInterface`
  See Also:
    `ComponentInterface.setDefaultValues()`

### validateObject

    public void validateObject()

  Specified by:
    `validateObject` in interface `java.io.ObjectInputValidation`
  See Also:
    `ComponentInterfaceSupport.validateObject(com.sas.ComponentInterface)`

### getComponentSupportInfo

    public com.sas.ComponentInterfaceSupportInfo getComponentSupportInfo(boolean createIfNecessary)

  Internal framework method. Not intended to be called by component users.

  Specified by:
    `getComponentSupportInfo` in interface `com.sas.ComponentInterface`
  Parameters:
    `createIfNecessary` - Whether to create the ComponentInterfaceSupportInfo object if it does not already exist.
  Returns:
    An instance of ComponentInterfaceSupportInfo holding the information used by the ComponentSupport class to implement the ComponentInterface.

### setComponentSupportInfo

    public void setComponentSupportInfo(com.sas.ComponentInterfaceSupportInfo info)

  Internal framework method. Not intended to be called by component users.

  Specified by:
    `setComponentSupportInfo` in interface `com.sas.ComponentInterface`
  Parameters:
    `info` - An instance of ComponentInterfaceSupportInfo holding the information used by the ComponentSupport class to implement the ComponentInterface.

### supportsListenerInterface

    public boolean supportsListenerInterface(java.lang.Class listenerInterface)

  See Also:
    `MultipleValueEventSourceInterfaceSupport.supportsListenerInterface(java.lang.Object, java.lang.Class)`

### getEventMethod

    public java.lang.reflect.Method getEventMethod(java.lang.reflect.Method listenerMethod)

  See Also:
    `MultipleValueEventSourceInterfaceSupport.getEventMethod(java.lang.Object, java.lang.reflect.Method)`

### getEventValues

    public java.lang.String[] getEventValues(java.lang.reflect.Method listenerMethod)

  See Also:
    `MultipleValueEventSourceInterfaceSupport.getEventValues(java.lang.Object, java.lang.reflect.Method)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.